﻿''' <summary>
''' [MultiRowセル]数値コントロール
''' </summary>
''' <remarks>
''' 
''' 更新日  ：
''' 更新内容：
''' 
''' </remarks>
Public Class MrcNumber
    Inherits UcNumber

#Region "変数"

    'プロパティ用
    Private _cellMateName As String = ""
    Private _summary As Boolean = True
    '処理用
    Private ultMrc As New UTL_Mrc

#End Region

#Region "プロパティ（新規作成）"

    ''' <summary>
    ''' セルメイトの取得・設定
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    <System.ComponentModel.DefaultValue("")> _
    Public Property CellMateName() As String
        Get
            Return _cellMateName
        End Get
        Set(value As String)
            _cellMateName = value
        End Set
    End Property

    <System.ComponentModel.DefaultValue(True)> _
    Public Property Summary() As Boolean
        Get
            Return _summary
        End Get
        Set(value As Boolean)
            _summary = value
        End Set
    End Property

#End Region

#Region "イベント"

    ''' <summary>
    ''' フォーカスを移動させる。
    ''' </summary>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Protected Overrides Sub OnKeyDown(e As System.Windows.Forms.KeyEventArgs)
        If e.Handled Then
            Return
        End If
        '
        Select Case e.KeyCode
            Case Keys.Enter
                If Control.ModifierKeys = Keys.Shift Then '前のコントロールへ移動
                    ultMrc.FNC_SEL_PRE_CTL(Me)
                    e.Handled = True : GoTo EXIT_SUB
                End If
            Case Keys.Up '前のコントロールへ移動
                ultMrc.FNC_SEL_PRE_CTL(Me)
                e.Handled = True : GoTo EXIT_SUB
            Case Else
                '
        End Select
        '
        MyBase.OnKeyDown(e) '継承元のKeyDownイベントを発生させる。
EXIT_SUB:
    End Sub

#End Region

End Class
